# Class HttpInternalErrorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.meterware.httpunit.HttpException
com.meterware.httpunit.HttpInternalErrorException

All Implemented Interfaces:
  `Serializable`

public class HttpInternalErrorException extends HttpException
This exception is thrown when an internal error is found on the server.

Author:
  Seth Ladd, Russell Gold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpInternalErrorException(URL url)`
construct an internal http error form an url
`HttpInternalErrorException(URL url, Throwable t)`
construct an internal HTTP Error from a URL and a throwable

## Method Summary

### Methods inherited from class HttpException

`getCause, getMessage, getResponseCode, getResponseMessage`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpInternalErrorException

public HttpInternalErrorException(URL url)
construct an internal http error form an url

Parameters:
  `url` -

### HttpInternalErrorException

public HttpInternalErrorException(URL url, Throwable t)
construct an internal HTTP Error from a URL and a throwable

Parameters:
  `url` -
  `t` -